	//----------NonResidentialAgreement开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.NbzsZheliban.Entity;
using System.Runtime.Serialization;
	namespace Ewide.NbzsZheliban.Entity
	{	
        /// <summary>
        /// 数据表实体类：NonResidentialAgreement 
        /// </summary>
		[Table("NonResidentialAgreement")]
        public partial class NonResidentialAgreement: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public Guid ID  {get;set;}   
                                /// <summary>
                /// 项目id 关联Projects表ID
                /// </summary>    
				
				[Display(Name="项目id 关联Projects表ID")]   
								[Column("ProjectID")]   
				[DataMember]  
			    public Guid ProjectID  {get;set;}   
                                /// <summary>
                /// 项目名称
                /// </summary>    
				
				[Display(Name="项目名称")]   
								[Column("ProjectName")]   
				[DataMember]  
			    public string ProjectName  {get;set;}   
                                /// <summary>
                /// 非住宅调查表ID
                /// </summary>    
				
				[Display(Name="非住宅调查表ID")]   
								[Column("NonInvestigateTableID")]   
				[DataMember]  
			    public Guid? NonInvestigateTableID  {get;set;}   
                                /// <summary>
                /// 征收决定号前置标识ID 取字典表ID
                /// </summary>    
				
				[Display(Name="征收决定号前置标识ID 取字典表ID")]   
								[Column("CollectDecisionNoHeadID")]   
				[DataMember]  
			    public Guid? CollectDecisionNoHeadID  {get;set;}   
                                /// <summary>
                /// 征收决定号前置标识
                /// </summary>    
				
				[Display(Name="征收决定号前置标识")]   
								[Column("CollectDecisionNoHeadName")]   
				[DataMember]  
			    public string CollectDecisionNoHeadName  {get;set;}   
                                /// <summary>
                /// 协议编号第一部分
                /// </summary>    
				
				[Display(Name="协议编号第一部分")]   
								[Column("No1")]   
				[DataMember]  
			    public string No1  {get;set;}   
                                /// <summary>
                /// 协议编号第二部分
                /// </summary>    
				
				[Display(Name="协议编号第二部分")]   
								[Column("No2")]   
				[DataMember]  
			    public string No2  {get;set;}   
                                /// <summary>
                /// 协议编号第三部分
                /// </summary>    
				
				[Display(Name="协议编号第三部分")]   
								[Column("No3")]   
				[DataMember]  
			    public string No3  {get;set;}   
                                /// <summary>
                /// 协议中文件依据，按照XX等有关规定
                /// </summary>    
				
				[Display(Name="协议中文件依据，按照XX等有关规定")]   
								[Column("FilesBasis")]   
				[DataMember]  
			    public string FilesBasis  {get;set;}   
                                /// <summary>
                /// 征收决定号
                /// </summary>    
				
				[Display(Name="征收决定号")]   
								[Column("CollectDecisionNo")]   
				[DataMember]  
			    public string CollectDecisionNo  {get;set;}   
                                /// <summary>
                /// 被征收人姓名
                /// </summary>    
				
				[Display(Name="被征收人姓名")]   
								[Column("ExpropriatedName")]   
				[DataMember]  
			    public string ExpropriatedName  {get;set;}   
                                /// <summary>
                /// 被征收人身份证或组织机构代码证
                /// </summary>    
				
				[Display(Name="被征收人身份证或组织机构代码证")]   
								[Column("ExpropriatedCardNo")]   
				[DataMember]  
			    public string ExpropriatedCardNo  {get;set;}   
                                /// <summary>
                /// 被拆迁人电话
                /// </summary>    
				
				[Display(Name="被拆迁人电话")]   
								[Column("ExpropriatedPhone")]   
				[DataMember]  
			    public string ExpropriatedPhone  {get;set;}   
                                /// <summary>
                /// 被拆迁人地址
                /// </summary>    
				
				[Display(Name="被拆迁人地址")]   
								[Column("ExpropriatedAddr")]   
				[DataMember]  
			    public string ExpropriatedAddr  {get;set;}   
                                /// <summary>
                /// 被征收人性质ID 关联数据字典表ID
                /// </summary>    
				
				[Display(Name="被征收人性质ID 关联数据字典表ID")]   
								[Column("ExpropriatedNatureID")]   
				[DataMember]  
			    public Guid? ExpropriatedNatureID  {get;set;}   
                                /// <summary>
                /// 被征收人性质
                /// </summary>    
				
				[Display(Name="被征收人性质")]   
								[Column("ExpropriatedNature")]   
				[DataMember]  
			    public string ExpropriatedNature  {get;set;}   
                                /// <summary>
                /// 区域ID 关联字典表ID 
                /// </summary>    
				
				[Display(Name="区域ID 关联字典表ID ")]   
								[Column("AreaID")]   
				[DataMember]  
			    public Guid? AreaID  {get;set;}   
                                /// <summary>
                /// 区域
                /// </summary>    
				
				[Display(Name="区域")]   
								[Column("Area")]   
				[DataMember]  
			    public string Area  {get;set;}   
                                /// <summary>
                /// 被征收房屋地址
                /// </summary>    
				
				[Display(Name="被征收房屋地址")]   
								[Column("HouseAddress")]   
				[DataMember]  
			    public string HouseAddress  {get;set;}   
                                /// <summary>
                /// 地段等级ID 字典表ID
                /// </summary>    
				
				[Display(Name="地段等级ID 字典表ID")]   
								[Column("LocationLevelID")]   
				[DataMember]  
			    public Guid? LocationLevelID  {get;set;}   
                                /// <summary>
                /// 地段等级
                /// </summary>    
				
				[Display(Name="地段等级")]   
								[Column("LocationLevel")]   
				[DataMember]  
			    public string LocationLevel  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("LandAchieveWay")]   
				[DataMember]  
			    public string LandAchieveWay  {get;set;}   
                                /// <summary>
                /// 结构ID 字典表ID
                /// </summary>    
				
				[Display(Name="结构ID 字典表ID")]   
								[Column("StructureID")]   
				[DataMember]  
			    public Guid? StructureID  {get;set;}   
                                /// <summary>
                /// 结构
                /// </summary>    
				
				[Display(Name="结构")]   
								[Column("Structure")]   
				[DataMember]  
			    public string Structure  {get;set;}   
                                /// <summary>
                /// 建筑面积
                /// </summary>    
				
				[Display(Name="建筑面积")]   
								[Column("BuildingArea")]   
				[DataMember]  
			    public decimal? BuildingArea  {get;set;}   
                                /// <summary>
                /// 建筑面积中商业面积
                /// </summary>    
				
				[Display(Name="建筑面积中商业面积")]   
								[Column("BusinessArea")]   
				[DataMember]  
			    public decimal? BusinessArea  {get;set;}   
                                /// <summary>
                /// 建筑面积中办公用房面积
                /// </summary>    
				
				[Display(Name="建筑面积中办公用房面积")]   
								[Column("OfficeArea")]   
				[DataMember]  
			    public decimal? OfficeArea  {get;set;}   
                                /// <summary>
                /// 建筑面积中办公用房面积
                /// </summary>    
				
				[Display(Name="建筑面积中办公用房面积")]   
								[Column("CKArea")]   
				[DataMember]  
			    public decimal? CKArea  {get;set;}   
                                /// <summary>
                /// 建筑面积中工业用房
                /// </summary>    
				
				[Display(Name="建筑面积中工业用房")]   
								[Column("IndustrialArea")]   
				[DataMember]  
			    public decimal? IndustrialArea  {get;set;}   
                                /// <summary>
                /// 建筑面积中仓储用房
                /// </summary>    
				
				[Display(Name="建筑面积中仓储用房")]   
								[Column("StorageArea")]   
				[DataMember]  
			    public decimal? StorageArea  {get;set;}   
                                /// <summary>
                /// 土地面积
                /// </summary>    
				
				[Display(Name="土地面积")]   
								[Column("LandArea")]   
				[DataMember]  
			    public decimal? LandArea  {get;set;}   
                                /// <summary>
                /// 使用情况ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="使用情况ID 关联字典表ID")]   
								[Column("UsageID")]   
				[DataMember]  
			    public Guid? UsageID  {get;set;}   
                                /// <summary>
                /// 使用情况、使用状况
                /// </summary>    
				
				[Display(Name="使用情况、使用状况")]   
								[Column("Usage")]   
				[DataMember]  
			    public string Usage  {get;set;}   
                                /// <summary>
                /// 户籍人口数量
                /// </summary>    
				
				[Display(Name="户籍人口数量")]   
								[Column("Population")]   
				[DataMember]  
			    public int? Population  {get;set;}   
                                /// <summary>
                /// 是否成套房
                /// </summary>    
				
				[Display(Name="是否成套房")]   
								[Column("IsSuite")]   
				[DataMember]  
			    public bool IsSuite  {get;set;}   
                                /// <summary>
                /// 产权人
                /// </summary>    
				
				[Display(Name="产权人")]   
								[Column("PropertyRightPrson")]   
				[DataMember]  
			    public string PropertyRightPrson  {get;set;}   
                                /// <summary>
                /// 承租人
                /// </summary>    
				
				[Display(Name="承租人")]   
								[Column("Lessee")]   
				[DataMember]  
			    public string Lessee  {get;set;}   
                                /// <summary>
                /// 承租人营业执照号（或身份证号)
                /// </summary>    
				
				[Display(Name="承租人营业执照号（或身份证号)")]   
								[Column("LesseeCardNo")]   
				[DataMember]  
			    public string LesseeCardNo  {get;set;}   
                                /// <summary>
                /// 使用人口
                /// </summary>    
				
				[Display(Name="使用人口")]   
								[Column("UsePopulation")]   
				[DataMember]  
			    public int? UsePopulation  {get;set;}   
                                /// <summary>
                /// 评估金额
                /// </summary>    
				
				[Display(Name="评估金额")]   
								[Column("AssessMoney")]   
				[DataMember]  
			    public decimal? AssessMoney  {get;set;}   
                                /// <summary>
                /// 评估金额_大写
                /// </summary>    
				
				[Display(Name="评估金额_大写")]   
								[Column("AssessMoney_DX")]   
				[DataMember]  
			    public string AssessMoney_DX  {get;set;}   
                                /// <summary>
                /// 评估金额中商业用房
                /// </summary>    
				
				[Display(Name="评估金额中商业用房")]   
								[Column("AssessBusinessMoney")]   
				[DataMember]  
			    public decimal? AssessBusinessMoney  {get;set;}   
                                /// <summary>
                /// 评估金额中办公用房 
                /// </summary>    
				
				[Display(Name="评估金额中办公用房 ")]   
								[Column("AssessOfficeMoney")]   
				[DataMember]  
			    public decimal? AssessOfficeMoney  {get;set;}   
                                /// <summary>
                /// 评估金额中工业用房
                /// </summary>    
				
				[Display(Name="评估金额中工业用房")]   
								[Column("AssessIndustrialMoney")]   
				[DataMember]  
			    public decimal? AssessIndustrialMoney  {get;set;}   
                                /// <summary>
                /// 评估金额中仓储用房
                /// </summary>    
				
				[Display(Name="评估金额中仓储用房")]   
								[Column("AssessStorageMoney")]   
				[DataMember]  
			    public decimal? AssessStorageMoney  {get;set;}   
                                /// <summary>
                /// 乙方可得被征收房屋评估金额的60%,计多少元
                /// </summary>    
				
				[Display(Name="乙方可得被征收房屋评估金额的60%,计多少元")]   
								[Column("PartyBCanGetMoney")]   
				[DataMember]  
			    public decimal? PartyBCanGetMoney  {get;set;}   
                                /// <summary>
                /// 丙方可得被征收房屋评估金额的60%,计多少元
                /// </summary>    
				
				[Display(Name="丙方可得被征收房屋评估金额的60%,计多少元")]   
								[Column("PartyCCanGetMoney")]   
				[DataMember]  
			    public decimal? PartyCCanGetMoney  {get;set;}   
                                /// <summary>
                /// 停业停产损失费
                /// </summary>    
				
				[Display(Name="停业停产损失费")]   
								[Column("ClosedProductionLossesFee")]   
				[DataMember]  
			    public decimal? ClosedProductionLossesFee  {get;set;}   
                                /// <summary>
                /// 重大设施搬迁损失费
                /// </summary>    
				
				[Display(Name="重大设施搬迁损失费")]   
								[Column("MajorFacilitiesMovementLossesFee")]   
				[DataMember]  
			    public decimal? MajorFacilitiesMovementLossesFee  {get;set;}   
                                /// <summary>
                /// 合计应发补偿金额
                /// </summary>    
				
				[Display(Name="合计应发补偿金额")]   
								[Column("SummationShouldCompensateMoney")]   
				[DataMember]  
			    public decimal? SummationShouldCompensateMoney  {get;set;}   
                                /// <summary>
                /// 合计应发补偿金额大写
                /// </summary>    
				
				[Display(Name="合计应发补偿金额大写")]   
								[Column("SummationShouldCompensateMoney_DX")]   
				[DataMember]  
			    public string SummationShouldCompensateMoney_DX  {get;set;}   
                                /// <summary>
                /// 应核减房改购房资金
                /// </summary>    
				
				[Display(Name="应核减房改购房资金")]   
								[Column("HouseReformMoney")]   
				[DataMember]  
			    public decimal? HouseReformMoney  {get;set;}   
                                /// <summary>
                /// 核减后征收补偿资金
                /// </summary>    
				
				[Display(Name="核减后征收补偿资金")]   
								[Column("SubtractCompensation")]   
				[DataMember]  
			    public decimal? SubtractCompensation  {get;set;}   
                                /// <summary>
                /// 核减后征收补偿资金大写
                /// </summary>    
				
				[Display(Name="核减后征收补偿资金大写")]   
								[Column("SubtractCompensation_DX")]   
				[DataMember]  
			    public string SubtractCompensation_DX  {get;set;}   
                                /// <summary>
                /// 成套补贴费
                /// </summary>    
				
				[Display(Name="成套补贴费")]   
								[Column("SetSubsidy")]   
				[DataMember]  
			    public decimal? SetSubsidy  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励金额
                /// </summary>    
				
				[Display(Name="提前搬迁奖励金额")]   
								[Column("AheadRelocatedRewardMoney")]   
				[DataMember]  
			    public decimal? AheadRelocatedRewardMoney  {get;set;}   
                                /// <summary>
                /// 临时安置补助费
                /// </summary>    
				
				[Display(Name="临时安置补助费")]   
								[Column("TemporaryAllocationFee")]   
				[DataMember]  
			    public decimal? TemporaryAllocationFee  {get;set;}   
                                /// <summary>
                /// 其他事项约定
                /// </summary>    
				
				[Display(Name="其他事项约定")]   
								[Column("OtherPromise")]   
				[DataMember]  
			    public string OtherPromise  {get;set;}   
                                /// <summary>
                /// 备注
                /// </summary>    
				
				[Display(Name="备注")]   
								[Column("Memo")]   
				[DataMember]  
			    public string Memo  {get;set;}   
                                /// <summary>
                /// 合计征收补偿资金
                /// </summary>    
				
				[Display(Name="合计征收补偿资金")]   
								[Column("TotalCompensateMoney")]   
				[DataMember]  
			    public decimal? TotalCompensateMoney  {get;set;}   
                                /// <summary>
                /// 合计征收补偿资金大写
                /// </summary>    
				
				[Display(Name="合计征收补偿资金大写")]   
								[Column("TotalCompensateMoney_DX")]   
				[DataMember]  
			    public string TotalCompensateMoney_DX  {get;set;}   
                                /// <summary>
                /// 征收补偿资金在协议生效几日支付
                /// </summary>    
				
				[Display(Name="征收补偿资金在协议生效几日支付")]   
								[Column("ZSBCZJZXYSXJRZF")]   
				[DataMember]  
			    public int? ZSBCZJZXYSXJRZF  {get;set;}   
                                /// <summary>
                /// 补偿资金余额
                /// </summary>    
				
				[Display(Name="补偿资金余额")]   
								[Column("BCZJYE")]   
				[DataMember]  
			    public decimal? BCZJYE  {get;set;}   
                                /// <summary>
                /// 补偿资金余额在验收几日后支付
                /// </summary>    
				
				[Display(Name="补偿资金余额在验收几日后支付")]   
								[Column("BCZJYEZYSJRHZF")]   
				[DataMember]  
			    public int? BCZJYEZYSJRHZF  {get;set;}   
                                /// <summary>
                /// 私租标志
                /// </summary>    
				
				[Display(Name="私租标志")]   
								[Column("IsPrivateRent")]   
				[DataMember]  
			    public bool IsPrivateRent  {get;set;}   
                                /// <summary>
                /// 协议签订时间
                /// </summary>    
				
				[Display(Name="协议签订时间")]   
								[Column("SignTime")]   
				[DataMember]  
			    public DateTime? SignTime  {get;set;}   
                                /// <summary>
                /// 拆迁人
                /// </summary>    
				
				[Display(Name="拆迁人")]   
								[Column("DemolitionPerson")]   
				[DataMember]  
			    public string DemolitionPerson  {get;set;}   
                                /// <summary>
                /// 拆迁单位
                /// </summary>    
				
				[Display(Name="拆迁单位")]   
								[Column("DemolitionUnit")]   
				[DataMember]  
			    public string DemolitionUnit  {get;set;}   
                                /// <summary>
                /// 经办人
                /// </summary>    
				
				[Display(Name="经办人")]   
								[Column("Operator")]   
				[DataMember]  
			    public string Operator  {get;set;}   
                                /// <summary>
                /// 经办人电话
                /// </summary>    
				
				[Display(Name="经办人电话")]   
								[Column("OperatorPhone")]   
				[DataMember]  
			    public string OperatorPhone  {get;set;}   
                                /// <summary>
                /// 产权单位
                /// </summary>    
				
				[Display(Name="产权单位")]   
								[Column("PropertyRightsUnit")]   
				[DataMember]  
			    public string PropertyRightsUnit  {get;set;}   
                                /// <summary>
                /// 协议类型ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="协议类型ID 关联字典表ID")]   
								[Column("TypeID")]   
				[DataMember]  
			    public Guid? TypeID  {get;set;}   
                                /// <summary>
                /// 协议类型
                /// </summary>    
				
				[Display(Name="协议类型")]   
								[Column("Type")]   
				[DataMember]  
			    public string Type  {get;set;}   
                                /// <summary>
                /// 是否备案
                /// </summary>    
				
				[Display(Name="是否备案")]   
								[Column("IsInRecords")]   
				[DataMember]  
			    public bool IsInRecords  {get;set;}   
                                /// <summary>
                /// 备案人ID
                /// </summary>    
				
				[Display(Name="备案人ID")]   
								[Column("InRecordPersonID")]   
				[DataMember]  
			    public Guid? InRecordPersonID  {get;set;}   
                                /// <summary>
                /// 备案人
                /// </summary>    
				
				[Display(Name="备案人")]   
								[Column("InRecordPerson")]   
				[DataMember]  
			    public string InRecordPerson  {get;set;}   
                                /// <summary>
                /// 备案时间
                /// </summary>    
				
				[Display(Name="备案时间")]   
								[Column("InRecordDate")]   
				[DataMember]  
			    public DateTime? InRecordDate  {get;set;}   
                                /// <summary>
                /// 房改意愿
                /// </summary>    
				
				[Display(Name="房改意愿")]   
								[Column("IsHousingReform")]   
				[DataMember]  
			    public bool IsHousingReform  {get;set;}   
                                /// <summary>
                /// 补偿安置方式ID,调产方式ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="补偿安置方式ID,调产方式ID 关联字典表ID")]   
								[Column("SwitchProductionWayID")]   
				[DataMember]  
			    public Guid? SwitchProductionWayID  {get;set;}   
                                /// <summary>
                /// 补偿安置方式,调产方式
                /// </summary>    
				
				[Display(Name="补偿安置方式,调产方式")]   
								[Column("SwitchProductionWay")]   
				[DataMember]  
			    public string SwitchProductionWay  {get;set;}   
                                /// <summary>
                /// 结合住房使用状况折算后补偿资金
                /// </summary>    
				
				[Display(Name="结合住房使用状况折算后补偿资金")]   
								[Column("JHZFSYZKZSHBCZJ")]   
				[DataMember]  
			    public decimal? JHZFSYZKZSHBCZJ  {get;set;}   
                                /// <summary>
                /// 选择货币补偿增加补偿资金
                /// </summary>    
				
				[Display(Name="选择货币补偿增加补偿资金")]   
								[Column("XZHBBCZJBCZJ")]   
				[DataMember]  
			    public decimal? XZHBBCZJBCZJ  {get;set;}   
                                /// <summary>
                /// 按住房困难标准增加补助资金
                /// </summary>    
				
				[Display(Name="按住房困难标准增加补助资金")]   
								[Column("AZFKNBZZJBZZJ")]   
				[DataMember]  
			    public decimal? AZFKNBZZJBZZJ  {get;set;}   
                                /// <summary>
                /// 按补偿金额折算的产权调换面积
                /// </summary>    
				
				[Display(Name="按补偿金额折算的产权调换面积")]   
								[Column("ABCJEZSDCQDHMJ")]   
				[DataMember]  
			    public decimal? ABCJEZSDCQDHMJ  {get;set;}   
                                /// <summary>
                /// 产权调换增加面积
                /// </summary>    
				
				[Display(Name="产权调换增加面积")]   
								[Column("CQDHZJMJ")]   
				[DataMember]  
			    public decimal? CQDHZJMJ  {get;set;}   
                                /// <summary>
                /// 安置高层可增加公摊补助面积
                /// </summary>    
				
				[Display(Name="安置高层可增加公摊补助面积")]   
								[Column("AZGCKZJGTBZMJ")]   
				[DataMember]  
			    public decimal? AZGCKZJGTBZMJ  {get;set;}   
                                /// <summary>
                /// 上靠增加面积
                /// </summary>    
				
				[Display(Name="上靠增加面积")]   
								[Column("SKZJMJ")]   
				[DataMember]  
			    public decimal? SKZJMJ  {get;set;}   
                                /// <summary>
                /// 乙方产权调换房屋面积合计
                /// </summary>    
				
				[Display(Name="乙方产权调换房屋面积合计")]   
								[Column("TotalAllocationArea")]   
				[DataMember]  
			    public decimal? TotalAllocationArea  {get;set;}   
                                /// <summary>
                /// 一次性搬迁补偿费
                /// </summary>    
				
				[Display(Name="一次性搬迁补偿费")]   
								[Column("OneTimeRelocationCompensation")]   
				[DataMember]  
			    public decimal? OneTimeRelocationCompensation  {get;set;}   
                                /// <summary>
                /// 按困难补助标准计发补偿资金
                /// </summary>    
				
				[Display(Name="按困难补助标准计发补偿资金")]   
								[Column("AKNBZBZJFBCZJ")]   
				[DataMember]  
			    public decimal? AKNBZBZJFBCZJ  {get;set;}   
                                /// <summary>
                /// 提前搬迁奖励比例
                /// </summary>    
				
				[Display(Name="提前搬迁奖励比例")]   
								[Column("TQBQJLBL")]   
				[DataMember]  
			    public decimal? TQBQJLBL  {get;set;}   
                                /// <summary>
                /// 现房一次性临时安置费
                /// </summary>    
				
				[Display(Name="现房一次性临时安置费")]   
								[Column("XFYCQLSAZF")]   
				[DataMember]  
			    public decimal? XFYCQLSAZF  {get;set;}   
                                /// <summary>
                /// 先行支付乙方征收补偿资金日数
                /// </summary>    
				
				[Display(Name="先行支付乙方征收补偿资金日数")]   
								[Column("XYZFYFZSBCZJRS")]   
				[DataMember]  
			    public int? XYZFYFZSBCZJRS  {get;set;}   
                                /// <summary>
                /// 签订协议几日内先行支付乙方征收补偿资金
                /// </summary>    
				
				[Display(Name="签订协议几日内先行支付乙方征收补偿资金")]   
								[Column("XYQDJRNXXZFYFZSBCZJ")]   
				[DataMember]  
			    public decimal? XYQDJRNXXZFYFZSBCZJ  {get;set;}   
                                /// <summary>
                /// 先行支付乙方征收补偿资金的余额
                /// </summary>    
				
				[Display(Name="先行支付乙方征收补偿资金的余额")]   
								[Column("XXZFBCJEYE")]   
				[DataMember]  
			    public decimal? XXZFBCJEYE  {get;set;}   
                                /// <summary>
                /// 乙方保证搬迁日期
                /// </summary>    
				
				[Display(Name="乙方保证搬迁日期")]   
								[Column("EnsureRelocateDate")]   
				[DataMember]  
			    public DateTime? EnsureRelocateDate  {get;set;}   
                                /// <summary>
                /// 公告规定的搬迁期限
                /// </summary>    
				
				[Display(Name="公告规定的搬迁期限")]   
								[Column("GGGDDBQQX")]   
				[DataMember]  
			    public string GGGDDBQQX  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励在搬迁期限届满后几日支付
                /// </summary>    
				
				[Display(Name="签约搬迁奖励在搬迁期限届满后几日支付")]   
								[Column("QYBQJLZBQQXJMHJRZF")]   
				[DataMember]  
			    public int? QYBQJLZBQQXJMHJRZF  {get;set;}   
                                /// <summary>
                /// 协议生效签约比例
                /// </summary>    
				
				[Display(Name="协议生效签约比例")]   
								[Column("XYSXQYBL")]   
				[DataMember]  
			    public decimal? XYSXQYBL  {get;set;}   
                                /// <summary>
                /// 住房困难补助资金
                /// </summary>    
				
				[Display(Name="住房困难补助资金")]   
								[Column("ZFKNBZZJ")]   
				[DataMember]  
			    public decimal? ZFKNBZZJ  {get;set;}   
                                /// <summary>
                /// 低收入住房困难补偿金额
                /// </summary>    
				
				[Display(Name="低收入住房困难补偿金额")]   
								[Column("DSRZFKNBCJE")]   
				[DataMember]  
			    public decimal? DSRZFKNBCJE  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励费
                /// </summary>    
				
				[Display(Name="签约搬迁奖励费")]   
								[Column("QYBQJLF")]   
				[DataMember]  
			    public decimal? QYBQJLF  {get;set;}   
                                /// <summary>
                /// 安置房所在区ID 关联字典ID
                /// </summary>    
				
				[Display(Name="安置房所在区ID 关联字典ID")]   
								[Column("AllocationHouseAreaID")]   
				[DataMember]  
			    public Guid? AllocationHouseAreaID  {get;set;}   
                                /// <summary>
                /// 安置房所在区
                /// </summary>    
				
				[Display(Name="安置房所在区")]   
								[Column("AllocationHouseArea")]   
				[DataMember]  
			    public string AllocationHouseArea  {get;set;}   
                                /// <summary>
                /// 安置房坐落
                /// </summary>    
				
				[Display(Name="安置房坐落")]   
								[Column("AllocationHouseAddr")]   
				[DataMember]  
			    public string AllocationHouseAddr  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型ID 关联字典表ID
                /// </summary>    
				
				[Display(Name="安置房房屋类型ID 关联字典表ID")]   
								[Column("AllocationHouseTypeID")]   
				[DataMember]  
			    public Guid? AllocationHouseTypeID  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型
                /// </summary>    
				
				[Display(Name="安置房房屋类型")]   
								[Column("AllocationHouseType")]   
				[DataMember]  
			    public string AllocationHouseType  {get;set;}   
                                /// <summary>
                /// 安置房建筑面积
                /// </summary>    
				
				[Display(Name="安置房建筑面积")]   
								[Column("AllocationHouseBuildArea")]   
				[DataMember]  
			    public decimal? AllocationHouseBuildArea  {get;set;}   
                                /// <summary>
                /// 安置房提供日期
                /// </summary>    
				
				[Display(Name="安置房提供日期")]   
								[Column("AllocationHouseProvideDate")]   
				[DataMember]  
			    public DateTime? AllocationHouseProvideDate  {get;set;}   
                                /// <summary>
                /// 安置房所在区ID 关联字典ID(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房所在区ID 关联字典ID(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseAreaID2")]   
				[DataMember]  
			    public Guid? AllocationHouseAreaID2  {get;set;}   
                                /// <summary>
                /// 安置房所在区(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房所在区(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseArea2")]   
				[DataMember]  
			    public string AllocationHouseArea2  {get;set;}   
                                /// <summary>
                /// 安置房坐落(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房坐落(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseAddr2")]   
				[DataMember]  
			    public string AllocationHouseAddr2  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型ID 关联字典表ID(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房房屋类型ID 关联字典表ID(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseTypeID2")]   
				[DataMember]  
			    public Guid? AllocationHouseTypeID2  {get;set;}   
                                /// <summary>
                /// 安置房房屋类型(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房房屋类型(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseType2")]   
				[DataMember]  
			    public string AllocationHouseType2  {get;set;}   
                                /// <summary>
                /// 安置房建筑面积(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房建筑面积(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseBuildArea2")]   
				[DataMember]  
			    public decimal? AllocationHouseBuildArea2  {get;set;}   
                                /// <summary>
                /// 安置房提供日期(适用于第二套安置房，现房+期房协议)
                /// </summary>    
				
				[Display(Name="安置房提供日期(适用于第二套安置房，现房+期房协议)")]   
								[Column("AllocationHouseProvideDate2")]   
				[DataMember]  
			    public DateTime? AllocationHouseProvideDate2  {get;set;}   
                                /// <summary>
                /// 期房六月后临时安置费每月金额
                /// </summary>    
				
				[Display(Name="期房六月后临时安置费每月金额")]   
								[Column("QFLYHLSAZFMYJE")]   
				[DataMember]  
			    public decimal? QFLYHLSAZFMYJE  {get;set;}   
                                /// <summary>
                /// 期房临时安置费协议生效几日先行支付
                /// </summary>    
				
				[Display(Name="期房临时安置费协议生效几日先行支付")]   
								[Column("QFLSAZFXYSXJRXZZF")]   
				[DataMember]  
			    public int? QFLSAZFXYSXJRXZZF  {get;set;}   
                                /// <summary>
                /// 期房临时安置先行支付安置费用月数
                /// </summary>    
				
				[Display(Name="期房临时安置先行支付安置费用月数")]   
								[Column("QFLSAZXXZFAZFYYS")]   
				[DataMember]  
			    public decimal? QFLSAZXXZFAZFYYS  {get;set;}   
                                /// <summary>
                /// 期房临时安置先行支付安置费用
                /// </summary>    
				
				[Display(Name="期房临时安置先行支付安置费用")]   
								[Column("QFLSAZXXAZFY")]   
				[DataMember]  
			    public decimal? QFLSAZXXAZFY  {get;set;}   
                                /// <summary>
                /// 是否复核
                /// </summary>    
				
				[Display(Name="是否复核")]   
								[Column("IsReCheck")]   
				[DataMember]  
			    public bool IsReCheck  {get;set;}   
                                /// <summary>
                /// 复核人员
                /// </summary>    
				
				[Display(Name="复核人员")]   
								[Column("ReCheckPerson")]   
				[DataMember]  
			    public string ReCheckPerson  {get;set;}   
                                /// <summary>
                /// 复核日期
                /// </summary>    
				
				[Display(Name="复核日期")]   
								[Column("ReCheckDate")]   
				[DataMember]  
			    public DateTime? ReCheckDate  {get;set;}   
                                /// <summary>
                /// 契税复核标志
                /// </summary>    
				
				[Display(Name="契税复核标志")]   
								[Column("IsDeedTax")]   
				[DataMember]  
			    public bool IsDeedTax  {get;set;}   
                                /// <summary>
                /// 契税抵扣人员
                /// </summary>    
				
				[Display(Name="契税抵扣人员")]   
								[Column("DeedTaxPerson")]   
				[DataMember]  
			    public string DeedTaxPerson  {get;set;}   
                                /// <summary>
                /// 契税抵扣日期
                /// </summary>    
				
				[Display(Name="契税抵扣日期")]   
								[Column("DeedTaxDeductionDate")]   
				[DataMember]  
			    public DateTime? DeedTaxDeductionDate  {get;set;}   
                                /// <summary>
                /// 其他补偿
                /// </summary>    
				
				[Display(Name="其他补偿")]   
								[Column("OtherCompensation")]   
				[DataMember]  
			    public string OtherCompensation  {get;set;}   
                                /// <summary>
                /// 税务人员备注说明
                /// </summary>    
				
				[Display(Name="税务人员备注说明")]   
								[Column("TaxPersonRemark")]   
				[DataMember]  
			    public string TaxPersonRemark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserName")]   
				[DataMember]  
			    public string CreateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateTime")]   
				[DataMember]  
			    public DateTime? UpdateTime  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserId")]   
				[DataMember]  
			    public Guid? UpdateUserId  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UpdateUserName")]   
				[DataMember]  
			    public string UpdateUserName  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Remark")]   
				[DataMember]  
			    public string Remark  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Files")]   
				[DataMember]  
			    public string Files  {get;set;}   
                                /// <summary>
                /// 危旧房区块ID关联ProjectsBlock表ID
                /// </summary>    
				
				[Display(Name="危旧房区块ID关联ProjectsBlock表ID")]   
								[Column("WJF_BlockID")]   
				[DataMember]  
			    public Guid? WJF_BlockID  {get;set;}   
                                /// <summary>
                /// 危旧房区块名称
                /// </summary>    
				
				[Display(Name="危旧房区块名称")]   
								[Column("WJF_Block")]   
				[DataMember]  
			    public string WJF_Block  {get;set;}   
                                /// <summary>
                /// 乙方法定代表人
                /// </summary>    
				
				[Display(Name="乙方法定代表人")]   
								[Column("PartyBLegalRepresentative")]   
				[DataMember]  
			    public string PartyBLegalRepresentative  {get;set;}   
                                /// <summary>
                /// 产权调换房屋系
                /// </summary>    
				
				[Display(Name="产权调换房屋系")]   
								[Column("CQDHFWX")]   
				[DataMember]  
			    public string CQDHFWX  {get;set;}   
                                /// <summary>
                /// 产权调换有关房屋产权调换事项的约定
                /// </summary>    
				
				[Display(Name="产权调换有关房屋产权调换事项的约定")]   
								[Column("CQDHYGFWCQDHSXDYD")]   
				[DataMember]  
			    public string CQDHYGFWCQDHSXDYD  {get;set;}   
                                /// <summary>
                /// 货币补偿增加补偿资金公式
                /// </summary>    
				
				[Display(Name="货币补偿增加补偿资金公式")]   
								[Column("HBBCZJBCZJGS")]   
				[DataMember]  
			    public string HBBCZJBCZJGS  {get;set;}   
                                /// <summary>
                /// 一次性经济补偿公式
                /// </summary>    
				
				[Display(Name="一次性经济补偿公式")]   
								[Column("YCXJJBCGS")]   
				[DataMember]  
			    public string YCXJJBCGS  {get;set;}   
                                /// <summary>
                /// 房屋征收部门ID(年度计划中读取，可变) 关联RelateUnits表ID
                /// </summary>    
				
				[Display(Name="房屋征收部门ID(年度计划中读取，可变) 关联RelateUnits表ID")]   
								[Column("HouseAcquisitionDepartmentID")]   
				[DataMember]  
			    public Guid? HouseAcquisitionDepartmentID  {get;set;}   
                                /// <summary>
                /// 房屋征收部门(年度计划中读取，可变) 
                /// </summary>    
				
				[Display(Name="房屋征收部门(年度计划中读取，可变) ")]   
								[Column("HouseAcquisitionDepartment")]   
				[DataMember]  
			    public string HouseAcquisitionDepartment  {get;set;}   
                                /// <summary>
                /// 征收实施单位ID，多个以逗号分隔
                /// </summary>    
				
				[Display(Name="征收实施单位ID，多个以逗号分隔")]   
								[Column("CollectImplUnit")]   
				[DataMember]  
			    public string CollectImplUnit  {get;set;}   
                                /// <summary>
                /// 征收实施单位名称，多个以逗号分隔
                /// </summary>    
				
				[Display(Name="征收实施单位名称，多个以逗号分隔")]   
								[Column("CollectImplUnitName")]   
				[DataMember]  
			    public string CollectImplUnitName  {get;set;}   
                                /// <summary>
                /// 征收实施单位法人代码证号，多个以逗号分隔
                /// </summary>    
				
				[Display(Name="征收实施单位法人代码证号，多个以逗号分隔")]   
								[Column("CollectImplUnitBusinessLicenseNo")]   
				[DataMember]  
			    public string CollectImplUnitBusinessLicenseNo  {get;set;}   
                                /// <summary>
                /// 丙方联系电话
                /// </summary>    
				
				[Display(Name="丙方联系电话")]   
								[Column("BfPhone")]   
				[DataMember]  
			    public string BfPhone  {get;set;}   
                                /// <summary>
                /// 丙方联系地址
                /// </summary>    
				
				[Display(Name="丙方联系地址")]   
								[Column("BfAdreess")]   
				[DataMember]  
			    public string BfAdreess  {get;set;}   
                                /// <summary>
                /// 丙方货币补偿补助
                /// </summary>    
				
				[Display(Name="丙方货币补偿补助")]   
								[Column("BFHBBCBZ")]   
				[DataMember]  
			    public decimal? BFHBBCBZ  {get;set;}   
                                /// <summary>
                /// 丙方补偿资金
                /// </summary>    
				
				[Display(Name="丙方补偿资金")]   
								[Column("BFHBBCZJ")]   
				[DataMember]  
			    public decimal? BFHBBCZJ  {get;set;}   
                                /// <summary>
                /// 丙方补偿资金余额
                /// </summary>    
				
				[Display(Name="丙方补偿资金余额")]   
								[Column("BFHBBCZJYE")]   
				[DataMember]  
			    public decimal? BFHBBCZJYE  {get;set;}   
                                /// <summary>
                /// 征收部门电话
                /// </summary>    
				
				[Display(Name="征收部门电话")]   
								[Column("ZSPhone")]   
				[DataMember]  
			    public string ZSPhone  {get;set;}   
                                /// <summary>
                /// 征收部门地址
                /// </summary>    
				
				[Display(Name="征收部门地址")]   
								[Column("ZSAddress")]   
				[DataMember]  
			    public string ZSAddress  {get;set;}   
                                /// <summary>
                /// 征收实施单位电话
                /// </summary>    
				
				[Display(Name="征收实施单位电话")]   
								[Column("ZSSSPhone")]   
				[DataMember]  
			    public string ZSSSPhone  {get;set;}   
                                /// <summary>
                /// 征收实施单位地址
                /// </summary>    
				
				[Display(Name="征收实施单位地址")]   
								[Column("ZSSSAddress")]   
				[DataMember]  
			    public string ZSSSAddress  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Gfbz")]   
				[DataMember]  
			    public string Gfbz  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("AvailableAmount")]   
				[DataMember]  
			    public decimal? AvailableAmount  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("DidNotPayMoney")]   
				[DataMember]  
			    public decimal? DidNotPayMoney  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Sfyzx")]   
				[DataMember]  
			    public string Sfyzx  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Iscancel")]   
				[DataMember]  
			    public string Iscancel  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("ZDYBQRQ")]   
				[DataMember]  
			    public string ZDYBQRQ  {get;set;}   
                                /// <summary>
                /// 装修、附属物评估价值/若两者分离表示装修评估价值
                /// </summary>    
				
				[Display(Name="装修、附属物评估价值/若两者分离表示装修评估价值")]   
								[Column("ZXFSPGValue")]   
				[DataMember]  
			    public decimal? ZXFSPGValue  {get;set;}   
                                /// <summary>
                /// 安置房属性
                /// </summary>    
				
				[Display(Name="安置房属性")]   
								[Column("AZFSX")]   
				[DataMember]  
			    public string AZFSX  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励百分比
                /// </summary>    
				
				[Display(Name="签约搬迁奖励百分比")]   
								[Column("QYBQBL")]   
				[DataMember]  
			    public string QYBQBL  {get;set;}   
                                /// <summary>
                /// 安置房工业土地评估价值
                /// </summary>    
				
				[Display(Name="安置房工业土地评估价值")]   
								[Column("AZFValue")]   
				[DataMember]  
			    public decimal? AZFValue  {get;set;}   
                                /// <summary>
                /// 先行支付乙方征收补偿资金比例
                /// </summary>    
				
				[Display(Name="先行支付乙方征收补偿资金比例")]   
								[Column("AdvanceBCBL")]   
				[DataMember]  
			    public string AdvanceBCBL  {get;set;}   
                                /// <summary>
                /// 临时安置费元/每月
                /// </summary>    
				
				[Display(Name="临时安置费元/每月")]   
								[Column("GiveLSANZFValue")]   
				[DataMember]  
			    public decimal? GiveLSANZFValue  {get;set;}   
                                /// <summary>
                /// 临时安置费月数
                /// </summary>    
				
				[Display(Name="临时安置费月数")]   
								[Column("GiveLSANZFMonth")]   
				[DataMember]  
			    public int? GiveLSANZFMonth  {get;set;}   
                                /// <summary>
                /// 房产证号
                /// </summary>    
				
				[Display(Name="房产证号")]   
								[Column("PropertyRightCardNo")]   
				[DataMember]  
			    public string PropertyRightCardNo  {get;set;}   
                                /// <summary>
                /// 证载建筑面积
                /// </summary>    
				
				[Display(Name="证载建筑面积")]   
								[Column("PropertyRightArea")]   
				[DataMember]  
			    public decimal? PropertyRightArea  {get;set;}   
                                /// <summary>
                /// 商业-证载建筑面积
                /// </summary>    
				
				[Display(Name="商业-证载建筑面积")]   
								[Column("BusinessPropertyArea")]   
				[DataMember]  
			    public decimal? BusinessPropertyArea  {get;set;}   
                                /// <summary>
                /// 办公-证载建筑面积
                /// </summary>    
				
				[Display(Name="办公-证载建筑面积")]   
								[Column("OfficePropertyArea")]   
				[DataMember]  
			    public decimal? OfficePropertyArea  {get;set;}   
                                /// <summary>
                /// 工业-证载建筑面积
                /// </summary>    
				
				[Display(Name="工业-证载建筑面积")]   
								[Column("IndustrialPropertyArea")]   
				[DataMember]  
			    public decimal? IndustrialPropertyArea  {get;set;}   
                                /// <summary>
                /// 仓储-证载建筑面积
                /// </summary>    
				
				[Display(Name="仓储-证载建筑面积")]   
								[Column("StoragePropertyArea")]   
				[DataMember]  
			    public decimal? StoragePropertyArea  {get;set;}   
                                /// <summary>
                /// 仓储-证载建筑面积
                /// </summary>    
				
				[Display(Name="仓储-证载建筑面积")]   
								[Column("CKPropertyArea")]   
				[DataMember]  
			    public decimal? CKPropertyArea  {get;set;}   
                                /// <summary>
                /// 土地证号码
                /// </summary>    
				
				[Display(Name="土地证号码")]   
								[Column("LandCardNo")]   
				[DataMember]  
			    public string LandCardNo  {get;set;}   
                                /// <summary>
                /// 土地核定面积
                /// </summary>    
				
				[Display(Name="土地核定面积")]   
								[Column("LandFinalArea")]   
				[DataMember]  
			    public decimal? LandFinalArea  {get;set;}   
                                /// <summary>
                /// 证件类别
                /// </summary>    
				
				[Display(Name="证件类别")]   
								[Column("CardLb")]   
				[DataMember]  
			    public string CardLb  {get;set;}   
                                /// <summary>
                /// 商业-核定土地面积
                /// </summary>    
				
				[Display(Name="商业-核定土地面积")]   
								[Column("BusinessLandArea")]   
				[DataMember]  
			    public decimal? BusinessLandArea  {get;set;}   
                                /// <summary>
                /// 办公-核定土地面积
                /// </summary>    
				
				[Display(Name="办公-核定土地面积")]   
								[Column("OfficeLandArea")]   
				[DataMember]  
			    public decimal? OfficeLandArea  {get;set;}   
                                /// <summary>
                /// 工业-核定土地面积
                /// </summary>    
				
				[Display(Name="工业-核定土地面积")]   
								[Column("IndustrialLandArea")]   
				[DataMember]  
			    public decimal? IndustrialLandArea  {get;set;}   
                                /// <summary>
                /// 仓储-核定土地面积
                /// </summary>    
				
				[Display(Name="仓储-核定土地面积")]   
								[Column("StorageLandArea")]   
				[DataMember]  
			    public decimal? StorageLandArea  {get;set;}   
                                /// <summary>
                /// 仓储-核定土地面积
                /// </summary>    
				
				[Display(Name="仓储-核定土地面积")]   
								[Column("CKLandArea")]   
				[DataMember]  
			    public decimal? CKLandArea  {get;set;}   
                                /// <summary>
                /// 购房补助区外
                /// </summary>    
				
				[Display(Name="购房补助区外")]   
								[Column("Gfbz_Out")]   
				[DataMember]  
			    public string Gfbz_Out  {get;set;}   
                                /// <summary>
                /// 是否市区
                /// </summary>    
				
				[Display(Name="是否市区")]   
								[Column("IsCity")]   
				[DataMember]  
			    public string IsCity  {get;set;}   
                                /// <summary>
                /// 下级判断
                /// </summary>    
				
				[Display(Name="下级判断")]   
								[Column("IsNext")]   
				[DataMember]  
			    public string IsNext  {get;set;}   
                                /// <summary>
                /// 购买区域
                /// </summary>    
				
				[Display(Name="购买区域")]   
								[Column("BuyArea")]   
				[DataMember]  
			    public string BuyArea  {get;set;}   
                                /// <summary>
                /// 公告规定签约期限
                /// </summary>    
				
				[Display(Name="公告规定签约期限")]   
								[Column("GGGDQYQX")]   
				[DataMember]  
			    public string GGGDQYQX  {get;set;}   
                                /// <summary>
                /// 法定代表人
                /// </summary>    
				
				[Display(Name="法定代表人")]   
								[Column("TheLegalRepresentative")]   
				[DataMember]  
			    public string TheLegalRepresentative  {get;set;}   
                                /// <summary>
                /// 法定代表人联系电话
                /// </summary>    
				
				[Display(Name="法定代表人联系电话")]   
								[Column("TheLegalRepresentativePhone")]   
				[DataMember]  
			    public string TheLegalRepresentativePhone  {get;set;}   
                                /// <summary>
                /// 产权性质
                /// </summary>    
				
				[Display(Name="产权性质")]   
								[Column("NatureOfProperty")]   
				[DataMember]  
			    public string NatureOfProperty  {get;set;}   
                                /// <summary>
                /// 产权性质ID
                /// </summary>    
				
				[Display(Name="产权性质ID")]   
								[Column("NatureOfPropertyID")]   
				[DataMember]  
			    public Guid? NatureOfPropertyID  {get;set;}   
                                /// <summary>
                /// 房屋用途
                /// </summary>    
				
				[Display(Name="房屋用途")]   
								[Column("LandCardUse")]   
				[DataMember]  
			    public string LandCardUse  {get;set;}   
                                /// <summary>
                /// 商业-证载土地面积
                /// </summary>    
				
				[Display(Name="商业-证载土地面积")]   
								[Column("BusinessPropertLandArea")]   
				[DataMember]  
			    public decimal? BusinessPropertLandArea  {get;set;}   
                                /// <summary>
                /// 办公-证载土地面积
                /// </summary>    
				
				[Display(Name="办公-证载土地面积")]   
								[Column("OfficePropertLandArea")]   
				[DataMember]  
			    public decimal? OfficePropertLandArea  {get;set;}   
                                /// <summary>
                /// 工业-证载土地面积
                /// </summary>    
				
				[Display(Name="工业-证载土地面积")]   
								[Column("IndustrialPropertLandArea")]   
				[DataMember]  
			    public decimal? IndustrialPropertLandArea  {get;set;}   
                                /// <summary>
                /// 仓储-证载土地面积
                /// </summary>    
				
				[Display(Name="仓储-证载土地面积")]   
								[Column("StoragePropertLandArea")]   
				[DataMember]  
			    public decimal? StoragePropertLandArea  {get;set;}   
                                /// <summary>
                /// 仓储-证载土地面积
                /// </summary>    
				
				[Display(Name="仓储-证载土地面积")]   
								[Column("CKPropertLandArea")]   
				[DataMember]  
			    public decimal? CKPropertLandArea  {get;set;}   
                                /// <summary>
                /// 签约搬迁奖励费 计算
                /// </summary>    
				
				[Display(Name="签约搬迁奖励费 计算")]   
								[Column("QYBQJLCal")]   
				[DataMember]  
			    public decimal? QYBQJLCal  {get;set;}   
                                /// <summary>
                /// 承租人证件类型
                /// </summary>    
				
				[Display(Name="承租人证件类型")]   
								[Column("LesseeLB")]   
				[DataMember]  
			    public string LesseeLB  {get;set;}   
                                /// <summary>
                /// 土地用途
                /// </summary>    
				
				[Display(Name="土地用途")]   
								[Column("HouseUse")]   
				[DataMember]  
			    public string HouseUse  {get;set;}   
                                /// <summary>
                /// 红线内无证面积
                /// </summary>    
				
				[Display(Name="红线内无证面积")]   
								[Column("RedLine_In")]   
				[DataMember]  
			    public decimal? RedLine_In  {get;set;}   
                                /// <summary>
                /// 红线外无证面积
                /// </summary>    
				
				[Display(Name="红线外无证面积")]   
								[Column("RedLine_Out")]   
				[DataMember]  
			    public decimal? RedLine_Out  {get;set;}   
                                /// <summary>
                /// 房票价值
                /// </summary>    
				
				[Display(Name="房票价值")]   
								[Column("HouseTicketMoney")]   
				[DataMember]  
			    public decimal? HouseTicketMoney  {get;set;}   
                                /// <summary>
                /// 非住宅协议打印历史记录
                /// </summary>    
				
				[Display(Name="非住宅协议打印历史记录")]   
								[Column("XYLODOPText")]   
				[DataMember]  
			    public string XYLODOPText  {get;set;}   
                                /// <summary>
                /// 非住宅协议打印历史记录标志
                /// </summary>    
				
				[Display(Name="非住宅协议打印历史记录标志")]   
								[Column("XYLODOP")]   
				[DataMember]  
			    public bool XYLODOP  {get;set;}   
                                /// <summary>
                /// 核算单打印历史记录
                /// </summary>    
				
				[Display(Name="核算单打印历史记录")]   
								[Column("HSDLODOPText")]   
				[DataMember]  
			    public string HSDLODOPText  {get;set;}   
                                /// <summary>
                /// 核算单打印历史记录标志
                /// </summary>    
				
				[Display(Name="核算单打印历史记录标志")]   
								[Column("HSDLODOP")]   
				[DataMember]  
			    public bool HSDLODOP  {get;set;}   
                                /// <summary>
                /// 超容积土地面积
                /// </summary>    
				
				[Display(Name="超容积土地面积")]   
								[Column("ExceedLandArea")]   
				[DataMember]  
			    public decimal? ExceedLandArea  {get;set;}   
                                /// <summary>
                /// 注销证件天数
                /// </summary>    
				
				[Display(Name="注销证件天数")]   
								[Column("PaperCancel")]   
				[DataMember]  
			    public int? PaperCancel  {get;set;}   
                                /// <summary>
                /// 再次支付金额
                /// </summary>    
				
				[Display(Name="再次支付金额")]   
								[Column("SecondGiveMoney")]   
				[DataMember]  
			    public decimal? SecondGiveMoney  {get;set;}   
                                /// <summary>
                /// 先行支付丙方征收补偿资金比例
                /// </summary>    
				
				[Display(Name="先行支付丙方征收补偿资金比例")]   
								[Column("BFAdvanceBCBL")]   
				[DataMember]  
			    public string BFAdvanceBCBL  {get;set;}   
                                /// <summary>
                /// 车库评估金额
                /// </summary>    
				
				[Display(Name="车库评估金额")]   
								[Column("AssessCKMoney")]   
				[DataMember]  
			    public decimal? AssessCKMoney  {get;set;}   
                                /// <summary>
                /// 结算单张数
                /// </summary>    
				
				[Display(Name="结算单张数")]   
								[Column("ClearingSheetNum")]   
				[DataMember]  
			    public int? ClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 未新增结算单张数
                /// </summary>    
				
				[Display(Name="未新增结算单张数")]   
								[Column("NoAddClearingSheetNum")]   
				[DataMember]  
			    public int? NoAddClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 已新增未备案结算单张数
                /// </summary>    
				
				[Display(Name="已新增未备案结算单张数")]   
								[Column("HaveAddClearingSheetNum")]   
				[DataMember]  
			    public int? HaveAddClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 已备案结算单张数
                /// </summary>    
				
				[Display(Name="已备案结算单张数")]   
								[Column("HaveRecordClearingSheetNum")]   
				[DataMember]  
			    public int? HaveRecordClearingSheetNum  {get;set;}   
                                /// <summary>
                /// 是否产权调换
                /// </summary>    
				
				[Display(Name="是否产权调换")]   
								[Column("IfCQDH")]   
				[DataMember]  
			    public bool IfCQDH  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Deductible")]   
				[DataMember]  
			    public decimal Deductible  {get;set;}   
                                /// <summary>
                /// 是否撤销备案中
                /// </summary>    
				
				[Display(Name="是否撤销备案中")]   
								[Column("IsCancelRecord")]   
				[DataMember]  
			    public bool IsCancelRecord  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：NonResidentialAgreement 
            /// </summary>
            public class NonResidentialAgreementMap : EntityTypeConfiguration<NonResidentialAgreement>
			{
                public NonResidentialAgreementMap()
                {
					this.ToTable("NonResidentialAgreement");
												this.HasKey(t => t.ID);
													 this.Property(t => t.ProjectID).HasColumnName("ProjectID").IsRequired();
													 this.Property(t => t.ProjectName).HasColumnName("ProjectName").IsRequired();
													 this.Property(t => t.NonInvestigateTableID).HasColumnName("NonInvestigateTableID");
													 this.Property(t => t.CollectDecisionNoHeadID).HasColumnName("CollectDecisionNoHeadID");
													 this.Property(t => t.CollectDecisionNoHeadName).HasColumnName("CollectDecisionNoHeadName");
													 this.Property(t => t.No1).HasColumnName("No1");
													 this.Property(t => t.No2).HasColumnName("No2");
													 this.Property(t => t.No3).HasColumnName("No3");
													 this.Property(t => t.FilesBasis).HasColumnName("FilesBasis");
													 this.Property(t => t.CollectDecisionNo).HasColumnName("CollectDecisionNo");
													 this.Property(t => t.ExpropriatedName).HasColumnName("ExpropriatedName");
													 this.Property(t => t.ExpropriatedCardNo).HasColumnName("ExpropriatedCardNo");
													 this.Property(t => t.ExpropriatedPhone).HasColumnName("ExpropriatedPhone");
													 this.Property(t => t.ExpropriatedAddr).HasColumnName("ExpropriatedAddr");
													 this.Property(t => t.ExpropriatedNatureID).HasColumnName("ExpropriatedNatureID");
													 this.Property(t => t.ExpropriatedNature).HasColumnName("ExpropriatedNature");
													 this.Property(t => t.AreaID).HasColumnName("AreaID");
													 this.Property(t => t.Area).HasColumnName("Area");
													 this.Property(t => t.HouseAddress).HasColumnName("HouseAddress");
													 this.Property(t => t.LocationLevelID).HasColumnName("LocationLevelID");
													 this.Property(t => t.LocationLevel).HasColumnName("LocationLevel");
													 this.Property(t => t.LandAchieveWay).HasColumnName("LandAchieveWay");
													 this.Property(t => t.StructureID).HasColumnName("StructureID");
													 this.Property(t => t.Structure).HasColumnName("Structure");
													 this.Property(t => t.BuildingArea).HasColumnName("BuildingArea");
													 this.Property(t => t.BusinessArea).HasColumnName("BusinessArea");
													 this.Property(t => t.OfficeArea).HasColumnName("OfficeArea");
													 this.Property(t => t.CKArea).HasColumnName("CKArea");
													 this.Property(t => t.IndustrialArea).HasColumnName("IndustrialArea");
													 this.Property(t => t.StorageArea).HasColumnName("StorageArea");
													 this.Property(t => t.LandArea).HasColumnName("LandArea");
													 this.Property(t => t.UsageID).HasColumnName("UsageID");
													 this.Property(t => t.Usage).HasColumnName("Usage");
													 this.Property(t => t.Population).HasColumnName("Population");
													 this.Property(t => t.IsSuite).HasColumnName("IsSuite");
													 this.Property(t => t.PropertyRightPrson).HasColumnName("PropertyRightPrson");
													 this.Property(t => t.Lessee).HasColumnName("Lessee");
													 this.Property(t => t.LesseeCardNo).HasColumnName("LesseeCardNo");
													 this.Property(t => t.UsePopulation).HasColumnName("UsePopulation");
													 this.Property(t => t.AssessMoney).HasColumnName("AssessMoney");
													 this.Property(t => t.AssessMoney_DX).HasColumnName("AssessMoney_DX");
													 this.Property(t => t.AssessBusinessMoney).HasColumnName("AssessBusinessMoney");
													 this.Property(t => t.AssessOfficeMoney).HasColumnName("AssessOfficeMoney");
													 this.Property(t => t.AssessIndustrialMoney).HasColumnName("AssessIndustrialMoney");
													 this.Property(t => t.AssessStorageMoney).HasColumnName("AssessStorageMoney");
													 this.Property(t => t.PartyBCanGetMoney).HasColumnName("PartyBCanGetMoney");
													 this.Property(t => t.PartyCCanGetMoney).HasColumnName("PartyCCanGetMoney");
													 this.Property(t => t.ClosedProductionLossesFee).HasColumnName("ClosedProductionLossesFee");
													 this.Property(t => t.MajorFacilitiesMovementLossesFee).HasColumnName("MajorFacilitiesMovementLossesFee");
													 this.Property(t => t.SummationShouldCompensateMoney).HasColumnName("SummationShouldCompensateMoney");
													 this.Property(t => t.SummationShouldCompensateMoney_DX).HasColumnName("SummationShouldCompensateMoney_DX");
													 this.Property(t => t.HouseReformMoney).HasColumnName("HouseReformMoney");
													 this.Property(t => t.SubtractCompensation).HasColumnName("SubtractCompensation");
													 this.Property(t => t.SubtractCompensation_DX).HasColumnName("SubtractCompensation_DX");
													 this.Property(t => t.SetSubsidy).HasColumnName("SetSubsidy");
													 this.Property(t => t.AheadRelocatedRewardMoney).HasColumnName("AheadRelocatedRewardMoney");
													 this.Property(t => t.TemporaryAllocationFee).HasColumnName("TemporaryAllocationFee");
													 this.Property(t => t.OtherPromise).HasColumnName("OtherPromise");
													 this.Property(t => t.Memo).HasColumnName("Memo");
													 this.Property(t => t.TotalCompensateMoney).HasColumnName("TotalCompensateMoney");
													 this.Property(t => t.TotalCompensateMoney_DX).HasColumnName("TotalCompensateMoney_DX");
													 this.Property(t => t.ZSBCZJZXYSXJRZF).HasColumnName("ZSBCZJZXYSXJRZF");
													 this.Property(t => t.BCZJYE).HasColumnName("BCZJYE");
													 this.Property(t => t.BCZJYEZYSJRHZF).HasColumnName("BCZJYEZYSJRHZF");
													 this.Property(t => t.IsPrivateRent).HasColumnName("IsPrivateRent");
													 this.Property(t => t.SignTime).HasColumnName("SignTime");
													 this.Property(t => t.DemolitionPerson).HasColumnName("DemolitionPerson");
													 this.Property(t => t.DemolitionUnit).HasColumnName("DemolitionUnit");
													 this.Property(t => t.Operator).HasColumnName("Operator");
													 this.Property(t => t.OperatorPhone).HasColumnName("OperatorPhone");
													 this.Property(t => t.PropertyRightsUnit).HasColumnName("PropertyRightsUnit");
													 this.Property(t => t.TypeID).HasColumnName("TypeID");
													 this.Property(t => t.Type).HasColumnName("Type");
													 this.Property(t => t.IsInRecords).HasColumnName("IsInRecords");
													 this.Property(t => t.InRecordPersonID).HasColumnName("InRecordPersonID");
													 this.Property(t => t.InRecordPerson).HasColumnName("InRecordPerson");
													 this.Property(t => t.InRecordDate).HasColumnName("InRecordDate");
													 this.Property(t => t.IsHousingReform).HasColumnName("IsHousingReform");
													 this.Property(t => t.SwitchProductionWayID).HasColumnName("SwitchProductionWayID");
													 this.Property(t => t.SwitchProductionWay).HasColumnName("SwitchProductionWay");
													 this.Property(t => t.JHZFSYZKZSHBCZJ).HasColumnName("JHZFSYZKZSHBCZJ");
													 this.Property(t => t.XZHBBCZJBCZJ).HasColumnName("XZHBBCZJBCZJ");
													 this.Property(t => t.AZFKNBZZJBZZJ).HasColumnName("AZFKNBZZJBZZJ");
													 this.Property(t => t.ABCJEZSDCQDHMJ).HasColumnName("ABCJEZSDCQDHMJ");
													 this.Property(t => t.CQDHZJMJ).HasColumnName("CQDHZJMJ");
													 this.Property(t => t.AZGCKZJGTBZMJ).HasColumnName("AZGCKZJGTBZMJ");
													 this.Property(t => t.SKZJMJ).HasColumnName("SKZJMJ");
													 this.Property(t => t.TotalAllocationArea).HasColumnName("TotalAllocationArea");
													 this.Property(t => t.OneTimeRelocationCompensation).HasColumnName("OneTimeRelocationCompensation");
													 this.Property(t => t.AKNBZBZJFBCZJ).HasColumnName("AKNBZBZJFBCZJ");
													 this.Property(t => t.TQBQJLBL).HasColumnName("TQBQJLBL");
													 this.Property(t => t.XFYCQLSAZF).HasColumnName("XFYCQLSAZF");
													 this.Property(t => t.XYZFYFZSBCZJRS).HasColumnName("XYZFYFZSBCZJRS");
													 this.Property(t => t.XYQDJRNXXZFYFZSBCZJ).HasColumnName("XYQDJRNXXZFYFZSBCZJ");
													 this.Property(t => t.XXZFBCJEYE).HasColumnName("XXZFBCJEYE");
													 this.Property(t => t.EnsureRelocateDate).HasColumnName("EnsureRelocateDate");
													 this.Property(t => t.GGGDDBQQX).HasColumnName("GGGDDBQQX");
													 this.Property(t => t.QYBQJLZBQQXJMHJRZF).HasColumnName("QYBQJLZBQQXJMHJRZF");
													 this.Property(t => t.XYSXQYBL).HasColumnName("XYSXQYBL");
													 this.Property(t => t.ZFKNBZZJ).HasColumnName("ZFKNBZZJ");
													 this.Property(t => t.DSRZFKNBCJE).HasColumnName("DSRZFKNBCJE");
													 this.Property(t => t.QYBQJLF).HasColumnName("QYBQJLF");
													 this.Property(t => t.AllocationHouseAreaID).HasColumnName("AllocationHouseAreaID");
													 this.Property(t => t.AllocationHouseArea).HasColumnName("AllocationHouseArea");
													 this.Property(t => t.AllocationHouseAddr).HasColumnName("AllocationHouseAddr");
													 this.Property(t => t.AllocationHouseTypeID).HasColumnName("AllocationHouseTypeID");
													 this.Property(t => t.AllocationHouseType).HasColumnName("AllocationHouseType");
													 this.Property(t => t.AllocationHouseBuildArea).HasColumnName("AllocationHouseBuildArea");
													 this.Property(t => t.AllocationHouseProvideDate).HasColumnName("AllocationHouseProvideDate");
													 this.Property(t => t.AllocationHouseAreaID2).HasColumnName("AllocationHouseAreaID2");
													 this.Property(t => t.AllocationHouseArea2).HasColumnName("AllocationHouseArea2");
													 this.Property(t => t.AllocationHouseAddr2).HasColumnName("AllocationHouseAddr2");
													 this.Property(t => t.AllocationHouseTypeID2).HasColumnName("AllocationHouseTypeID2");
													 this.Property(t => t.AllocationHouseType2).HasColumnName("AllocationHouseType2");
													 this.Property(t => t.AllocationHouseBuildArea2).HasColumnName("AllocationHouseBuildArea2");
													 this.Property(t => t.AllocationHouseProvideDate2).HasColumnName("AllocationHouseProvideDate2");
													 this.Property(t => t.QFLYHLSAZFMYJE).HasColumnName("QFLYHLSAZFMYJE");
													 this.Property(t => t.QFLSAZFXYSXJRXZZF).HasColumnName("QFLSAZFXYSXJRXZZF");
													 this.Property(t => t.QFLSAZXXZFAZFYYS).HasColumnName("QFLSAZXXZFAZFYYS");
													 this.Property(t => t.QFLSAZXXAZFY).HasColumnName("QFLSAZXXAZFY");
													 this.Property(t => t.IsReCheck).HasColumnName("IsReCheck");
													 this.Property(t => t.ReCheckPerson).HasColumnName("ReCheckPerson");
													 this.Property(t => t.ReCheckDate).HasColumnName("ReCheckDate");
													 this.Property(t => t.IsDeedTax).HasColumnName("IsDeedTax");
													 this.Property(t => t.DeedTaxPerson).HasColumnName("DeedTaxPerson");
													 this.Property(t => t.DeedTaxDeductionDate).HasColumnName("DeedTaxDeductionDate");
													 this.Property(t => t.OtherCompensation).HasColumnName("OtherCompensation");
													 this.Property(t => t.TaxPersonRemark).HasColumnName("TaxPersonRemark");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime");
													 this.Property(t => t.CreateUserId).HasColumnName("CreateUserId");
													 this.Property(t => t.CreateUserName).HasColumnName("CreateUserName");
													 this.Property(t => t.UpdateTime).HasColumnName("UpdateTime");
													 this.Property(t => t.UpdateUserId).HasColumnName("UpdateUserId");
													 this.Property(t => t.UpdateUserName).HasColumnName("UpdateUserName");
													 this.Property(t => t.Remark).HasColumnName("Remark");
													 this.Property(t => t.Files).HasColumnName("Files");
													 this.Property(t => t.WJF_BlockID).HasColumnName("WJF_BlockID");
													 this.Property(t => t.WJF_Block).HasColumnName("WJF_Block");
													 this.Property(t => t.PartyBLegalRepresentative).HasColumnName("PartyBLegalRepresentative");
													 this.Property(t => t.CQDHFWX).HasColumnName("CQDHFWX");
													 this.Property(t => t.CQDHYGFWCQDHSXDYD).HasColumnName("CQDHYGFWCQDHSXDYD");
													 this.Property(t => t.HBBCZJBCZJGS).HasColumnName("HBBCZJBCZJGS");
													 this.Property(t => t.YCXJJBCGS).HasColumnName("YCXJJBCGS");
													 this.Property(t => t.HouseAcquisitionDepartmentID).HasColumnName("HouseAcquisitionDepartmentID");
													 this.Property(t => t.HouseAcquisitionDepartment).HasColumnName("HouseAcquisitionDepartment");
													 this.Property(t => t.CollectImplUnit).HasColumnName("CollectImplUnit");
													 this.Property(t => t.CollectImplUnitName).HasColumnName("CollectImplUnitName");
													 this.Property(t => t.CollectImplUnitBusinessLicenseNo).HasColumnName("CollectImplUnitBusinessLicenseNo");
													 this.Property(t => t.BfPhone).HasColumnName("BfPhone");
													 this.Property(t => t.BfAdreess).HasColumnName("BfAdreess");
													 this.Property(t => t.BFHBBCBZ).HasColumnName("BFHBBCBZ");
													 this.Property(t => t.BFHBBCZJ).HasColumnName("BFHBBCZJ");
													 this.Property(t => t.BFHBBCZJYE).HasColumnName("BFHBBCZJYE");
													 this.Property(t => t.ZSPhone).HasColumnName("ZSPhone");
													 this.Property(t => t.ZSAddress).HasColumnName("ZSAddress");
													 this.Property(t => t.ZSSSPhone).HasColumnName("ZSSSPhone");
													 this.Property(t => t.ZSSSAddress).HasColumnName("ZSSSAddress");
													 this.Property(t => t.Gfbz).HasColumnName("Gfbz");
													 this.Property(t => t.AvailableAmount).HasColumnName("AvailableAmount");
													 this.Property(t => t.DidNotPayMoney).HasColumnName("DidNotPayMoney");
													 this.Property(t => t.Sfyzx).HasColumnName("Sfyzx");
													 this.Property(t => t.Iscancel).HasColumnName("Iscancel");
													 this.Property(t => t.ZDYBQRQ).HasColumnName("ZDYBQRQ");
													 this.Property(t => t.ZXFSPGValue).HasColumnName("ZXFSPGValue");
													 this.Property(t => t.AZFSX).HasColumnName("AZFSX");
													 this.Property(t => t.QYBQBL).HasColumnName("QYBQBL");
													 this.Property(t => t.AZFValue).HasColumnName("AZFValue");
													 this.Property(t => t.AdvanceBCBL).HasColumnName("AdvanceBCBL");
													 this.Property(t => t.GiveLSANZFValue).HasColumnName("GiveLSANZFValue");
													 this.Property(t => t.GiveLSANZFMonth).HasColumnName("GiveLSANZFMonth");
													 this.Property(t => t.PropertyRightCardNo).HasColumnName("PropertyRightCardNo");
													 this.Property(t => t.PropertyRightArea).HasColumnName("PropertyRightArea");
													 this.Property(t => t.BusinessPropertyArea).HasColumnName("BusinessPropertyArea");
													 this.Property(t => t.OfficePropertyArea).HasColumnName("OfficePropertyArea");
													 this.Property(t => t.IndustrialPropertyArea).HasColumnName("IndustrialPropertyArea");
													 this.Property(t => t.StoragePropertyArea).HasColumnName("StoragePropertyArea");
													 this.Property(t => t.CKPropertyArea).HasColumnName("CKPropertyArea");
													 this.Property(t => t.LandCardNo).HasColumnName("LandCardNo");
													 this.Property(t => t.LandFinalArea).HasColumnName("LandFinalArea");
													 this.Property(t => t.CardLb).HasColumnName("CardLb");
													 this.Property(t => t.BusinessLandArea).HasColumnName("BusinessLandArea");
													 this.Property(t => t.OfficeLandArea).HasColumnName("OfficeLandArea");
													 this.Property(t => t.IndustrialLandArea).HasColumnName("IndustrialLandArea");
													 this.Property(t => t.StorageLandArea).HasColumnName("StorageLandArea");
													 this.Property(t => t.CKLandArea).HasColumnName("CKLandArea");
													 this.Property(t => t.Gfbz_Out).HasColumnName("Gfbz_Out");
													 this.Property(t => t.IsCity).HasColumnName("IsCity");
													 this.Property(t => t.IsNext).HasColumnName("IsNext");
													 this.Property(t => t.BuyArea).HasColumnName("BuyArea");
													 this.Property(t => t.GGGDQYQX).HasColumnName("GGGDQYQX");
													 this.Property(t => t.TheLegalRepresentative).HasColumnName("TheLegalRepresentative");
													 this.Property(t => t.TheLegalRepresentativePhone).HasColumnName("TheLegalRepresentativePhone");
													 this.Property(t => t.NatureOfProperty).HasColumnName("NatureOfProperty");
													 this.Property(t => t.NatureOfPropertyID).HasColumnName("NatureOfPropertyID");
													 this.Property(t => t.LandCardUse).HasColumnName("LandCardUse");
													 this.Property(t => t.BusinessPropertLandArea).HasColumnName("BusinessPropertLandArea");
													 this.Property(t => t.OfficePropertLandArea).HasColumnName("OfficePropertLandArea");
													 this.Property(t => t.IndustrialPropertLandArea).HasColumnName("IndustrialPropertLandArea");
													 this.Property(t => t.StoragePropertLandArea).HasColumnName("StoragePropertLandArea");
													 this.Property(t => t.CKPropertLandArea).HasColumnName("CKPropertLandArea");
													 this.Property(t => t.QYBQJLCal).HasColumnName("QYBQJLCal");
													 this.Property(t => t.LesseeLB).HasColumnName("LesseeLB");
													 this.Property(t => t.HouseUse).HasColumnName("HouseUse");
													 this.Property(t => t.RedLine_In).HasColumnName("RedLine_In");
													 this.Property(t => t.RedLine_Out).HasColumnName("RedLine_Out");
													 this.Property(t => t.HouseTicketMoney).HasColumnName("HouseTicketMoney");
													 this.Property(t => t.XYLODOPText).HasColumnName("XYLODOPText");
													 this.Property(t => t.XYLODOP).HasColumnName("XYLODOP").IsRequired();
													 this.Property(t => t.HSDLODOPText).HasColumnName("HSDLODOPText");
													 this.Property(t => t.HSDLODOP).HasColumnName("HSDLODOP").IsRequired();
													 this.Property(t => t.ExceedLandArea).HasColumnName("ExceedLandArea");
													 this.Property(t => t.PaperCancel).HasColumnName("PaperCancel");
													 this.Property(t => t.SecondGiveMoney).HasColumnName("SecondGiveMoney");
													 this.Property(t => t.BFAdvanceBCBL).HasColumnName("BFAdvanceBCBL");
													 this.Property(t => t.AssessCKMoney).HasColumnName("AssessCKMoney");
													 this.Property(t => t.ClearingSheetNum).HasColumnName("ClearingSheetNum");
													 this.Property(t => t.NoAddClearingSheetNum).HasColumnName("NoAddClearingSheetNum");
													 this.Property(t => t.HaveAddClearingSheetNum).HasColumnName("HaveAddClearingSheetNum");
													 this.Property(t => t.HaveRecordClearingSheetNum).HasColumnName("HaveRecordClearingSheetNum");
													 this.Property(t => t.IfCQDH).HasColumnName("IfCQDH");
													 this.Property(t => t.Deductible).HasColumnName("Deductible").IsRequired();
													 this.Property(t => t.IsCancelRecord).HasColumnName("IsCancelRecord").IsRequired();
										}
			}**/

	}

	//----------NonResidentialAgreement结束----------

	